/*
 * Copyright (C) 2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.sonatype.gossip;

import org.slf4j.spi.LocationAwareLogger;

/**
 * Gossip logging level container.
 *
 * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
 *
 * @since 1.0
 */
public enum Level
{
    TRACE(LocationAwareLogger.TRACE_INT),

    DEBUG(LocationAwareLogger.DEBUG_INT),

    INFO(LocationAwareLogger.INFO_INT),

    WARN(LocationAwareLogger.WARN_INT),

    ERROR(LocationAwareLogger.ERROR_INT);

    public final int id;

    Level(final int id) {
        this.id = id;
    }
}